Index: trunk/IPs/systemC/processor/Morpheo/TopLevel/Makefile.deps
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/TopLevel/Makefile.deps	(revision 142)
+++ trunk/IPs/systemC/processor/Morpheo/TopLevel/Makefile.deps	(revision 146)
@@ -46,4 +46,7 @@
 include 			$(DIR_MORPHEO)/Behavioural/Generic/RegisterFile/RegisterFile_Multi_Banked/Makefile.deps
 endif
+ifndef RegisterFile_Internal_Banked
+include 			$(DIR_MORPHEO)/Behavioural/Generic/RegisterFile/RegisterFile_Internal_Banked/Makefile.deps
+endif
 ifndef Counter
 include 			$(DIR_MORPHEO)/Behavioural/Generic/Counter/Makefile.deps
@@ -262,88 +265,92 @@
 				$(MAKE) --directory=$(Morpheo_DIR) --makefile=Makefile clean;
 
-Morpheo_library_step   		: 	
-					@\
-					$(MAKE) Morpheo_library_only;\
-					$(MAKE) Comparator_library_only;\
-					$(MAKE) Counter_library_only;\
-					$(MAKE) Divider_library_only;\
-					$(MAKE) Multiplier_library_only;\
-					$(MAKE) Priority_library_only;\
-					$(MAKE) Queue_Control_library_only;\
-					$(MAKE) Queue_library_only;\
-					$(MAKE) RegisterFile_Monolithic_library_only;\
-					$(MAKE) RegisterFile_Multi_Banked_library_only;\
-					$(MAKE) RegisterFile_library_only;\
-					$(MAKE) Select_Priority_Fixed_library_only;\
-					$(MAKE) Shifter_library_only;\
-					$(MAKE) Sort_library_only;\
-					$(MAKE) Victim_Pseudo_LRU_library_only;\
-					$(MAKE) Victim_library_only;\
-					$(MAKE) Execute_loop_Glue_library_only;\
-					$(MAKE) Operation_library_only;\
-					$(MAKE) Functionnal_unit_library_only;\
-					$(MAKE) Load_store_unit_library_only;\
-					$(MAKE) Read_queue_library_only;\
-					$(MAKE) Reservation_station_library_only;\
-					$(MAKE) Read_unit_library_only;\
-					$(MAKE) Execute_queue_library_only;\
-					$(MAKE) Write_queue_library_only;\
-					$(MAKE) Write_unit_library_only;\
-					$(MAKE) Execution_unit_to_Write_unit_library_only;\
-					$(MAKE) Read_unit_to_Execution_unit_library_only;\
-					$(MAKE) Register_unit_Glue_library_only;\
-					$(MAKE) Register_unit_library_only;\
-					$(MAKE) Execute_loop_library_only;\
-					$(MAKE) Commit_unit_library_only;\
-					$(MAKE) Issue_queue_library_only;\
-					$(MAKE) OOO_Engine_Glue_library_only;\
-					$(MAKE) Reexecute_unit_library_only;\
-					$(MAKE) Load_Store_pointer_unit_library_only;\
-					$(MAKE) Dependency_checking_unit_library_only;\
-					$(MAKE) Free_List_unit_library_only;\
-					$(MAKE) Register_Address_Translation_unit_library_only;\
-					$(MAKE) Register_translation_unit_Glue_library_only;\
-					$(MAKE) Stat_List_unit_library_only;\
-					$(MAKE) Register_translation_unit_library_only;\
-					$(MAKE) Rename_unit_Glue_library_only;\
-					$(MAKE) Rename_select_library_only;\
-					$(MAKE) Rename_unit_library_only;\
-					$(MAKE) Special_Register_unit_library_only;\
-					$(MAKE) OOO_Engine_library_only;\
-					$(MAKE) Context_State_library_only;\
-					$(MAKE) Instruction_library_only;\
-					$(MAKE) Decod_library_only;\
-					$(MAKE) Decod_queue_library_only;\
-					$(MAKE) Decod_unit_library_only;\
-					$(MAKE) Front_end_Glue_library_only;\
-					$(MAKE) Address_management_library_only;\
-					$(MAKE) Ifetch_queue_library_only;\
-					$(MAKE) Ifetch_unit_Glue_library_only;\
-					$(MAKE) Ifetch_unit_library_only;\
-					$(MAKE) Branch_Target_Buffer_Glue_library_only;\
-					$(MAKE) Branch_Target_Buffer_Register_library_only;\
-					$(MAKE) Branch_Target_Buffer_library_only;\
-					$(MAKE) Direction_Glue_library_only;\
-					$(MAKE) Direction_library_only;\
-					$(MAKE) Two_Level_Branch_Predictor_library_only;\
-					$(MAKE) Meta_Predictor_Glue_library_only;\
-					$(MAKE) Meta_Predictor_library_only;\
-					$(MAKE) Prediction_unit_Glue_library_only;\
-					$(MAKE) Return_Address_Stack_library_only;\
-					$(MAKE) Update_Prediction_Table_library_only;\
-					$(MAKE) Prediction_unit_library_only;\
-					$(MAKE) Front_end_library_only;\
-					$(MAKE) Icache_Access_library_only;\
-					$(MAKE) Dcache_Access_library_only;\
-					$(MAKE) Core_Glue_library_only;\
-					$(MAKE) Core_library_only;\
-					$(MAKE) Behavioural_library_only;\
-					$(MAKE) Custom_library_only;\
-					$(MAKE) Common_library_only;\
-					$(MAKE) Configuration_library_only
-
-#					$(MAKE) Select_library_only;\
-
-Morpheo_library_parallel       	: 	Morpheo_library_only\
+
+Morpheo_library_clean_step   	: 	
+				@\
+				$(MAKE) Behavioural_library_clean_only;\
+				$(MAKE) Configuration_library_clean_only;\
+				$(MAKE) Morpheo_library_clean_only;\
+				$(MAKE) Comparator_library_clean_only;\
+				$(MAKE) Counter_library_clean_only;\
+				$(MAKE) Divider_library_clean_only;\
+				$(MAKE) Multiplier_library_clean_only;\
+				$(MAKE) Priority_library_clean_only;\
+				$(MAKE) Queue_Control_library_clean_only;\
+				$(MAKE) Queue_library_clean_only;\
+				$(MAKE) RegisterFile_Monolithic_library_clean_only;\
+				$(MAKE) RegisterFile_Multi_Banked_library_clean_only;\
+				$(MAKE) RegisterFile_Internal_Banked_library_clean_only;\
+				$(MAKE) RegisterFile_library_clean_only;\
+				$(MAKE) Select_Priority_Fixed_library_clean_only;\
+				$(MAKE) Shifter_library_clean_only;\
+				$(MAKE) Sort_library_clean_only;\
+				$(MAKE) Victim_Pseudo_LRU_library_clean_only;\
+				$(MAKE) Victim_library_clean_only;\
+				$(MAKE) Execute_loop_Glue_library_clean_only;\
+				$(MAKE) Operation_library_clean_only;\
+				$(MAKE) Functionnal_unit_library_clean_only;\
+				$(MAKE) Load_store_unit_library_clean_only;\
+				$(MAKE) Read_queue_library_clean_only;\
+				$(MAKE) Reservation_station_library_clean_only;\
+				$(MAKE) Read_unit_library_clean_only;\
+				$(MAKE) Execute_queue_library_clean_only;\
+				$(MAKE) Write_queue_library_clean_only;\
+				$(MAKE) Write_unit_library_clean_only;\
+				$(MAKE) Execution_unit_to_Write_unit_library_clean_only;\
+				$(MAKE) Read_unit_to_Execution_unit_library_clean_only;\
+				$(MAKE) Register_unit_Glue_library_clean_only;\
+				$(MAKE) Register_unit_library_clean_only;\
+				$(MAKE) Execute_loop_library_clean_only;\
+				$(MAKE) Commit_unit_library_clean_only;\
+				$(MAKE) Issue_queue_library_clean_only;\
+				$(MAKE) OOO_Engine_Glue_library_clean_only;\
+				$(MAKE) Reexecute_unit_library_clean_only;\
+				$(MAKE) Load_Store_pointer_unit_library_clean_only;\
+				$(MAKE) Dependency_checking_unit_library_clean_only;\
+				$(MAKE) Free_List_unit_library_clean_only;\
+				$(MAKE) Register_Address_Translation_unit_library_clean_only;\
+				$(MAKE) Register_translation_unit_Glue_library_clean_only;\
+				$(MAKE) Stat_List_unit_library_clean_only;\
+				$(MAKE) Register_translation_unit_library_clean_only;\
+				$(MAKE) Rename_unit_Glue_library_clean_only;\
+				$(MAKE) Rename_select_library_clean_only;\
+				$(MAKE) Rename_unit_library_clean_only;\
+				$(MAKE) Special_Register_unit_library_clean_only;\
+				$(MAKE) OOO_Engine_library_clean_only;\
+				$(MAKE) Context_State_library_clean_only;\
+				$(MAKE) Instruction_library_clean_only;\
+				$(MAKE) Decod_library_clean_only;\
+				$(MAKE) Decod_queue_library_clean_only;\
+				$(MAKE) Decod_unit_library_clean_only;\
+				$(MAKE) Front_end_Glue_library_clean_only;\
+				$(MAKE) Address_management_library_clean_only;\
+				$(MAKE) Ifetch_queue_library_clean_only;\
+				$(MAKE) Ifetch_unit_Glue_library_clean_only;\
+				$(MAKE) Ifetch_unit_library_clean_only;\
+				$(MAKE) Branch_Target_Buffer_Glue_library_clean_only;\
+				$(MAKE) Branch_Target_Buffer_Register_library_clean_only;\
+				$(MAKE) Branch_Target_Buffer_library_clean_only;\
+				$(MAKE) Direction_Glue_library_clean_only;\
+				$(MAKE) Direction_library_clean_only;\
+				$(MAKE) Two_Level_Branch_Predictor_library_clean_only;\
+				$(MAKE) Meta_Predictor_Glue_library_clean_only;\
+				$(MAKE) Meta_Predictor_library_clean_only;\
+				$(MAKE) Prediction_unit_Glue_library_clean_only;\
+				$(MAKE) Return_Address_Stack_library_clean_only;\
+				$(MAKE) Update_Prediction_Table_library_clean_only;\
+				$(MAKE) Prediction_unit_library_clean_only;\
+				$(MAKE) Front_end_library_clean_only;\
+				$(MAKE) Icache_Access_library_clean_only;\
+				$(MAKE) Dcache_Access_library_clean_only;\
+				$(MAKE) Core_Glue_library_clean_only;\
+				$(MAKE) Core_library_clean_only;\
+				$(MAKE) Custom_library_clean_only;\
+				$(MAKE) Common_library_clean_only;
+
+#				$(MAKE) Select_library_clean_only;\
+
+Morpheo_library_parallel       	: 	Behavioural_library_only\
+					Configuration_library_only\
+					Morpheo_library_only\
 					Comparator_library_only\
 					Counter_library_only\
@@ -355,4 +362,5 @@
 					RegisterFile_Monolithic_library_only\
 					RegisterFile_Multi_Banked_library_only\
+					RegisterFile_Internal_Banked_library_only\
 					RegisterFile_library_only\
 					Select_Priority_Fixed_library_only\
@@ -419,8 +427,6 @@
 					Core_Glue_library_only\
 					Core_library_only\
-					Behavioural_library_only\
 					Custom_library_only\
-					Common_library_only\
-					Configuration_library_only
+					Common_library_only
 
 Morpheo_library_old         	: Morpheo_library_only
@@ -431,6 +437,8 @@
 Morpheo_library			: Morpheo_library_parallel
 
-Morpheo_library_clean	        : Morpheo_library_clean_only
+Morpheo_library_clean_old       : Morpheo_library_clean_only
 				@\
 				$(MAKE) Configuration_library_clean;	\
 				$(MAKE) Core_library_clean;
+
+Morpheo_library_clean		: Morpheo_library_clean_step
